#       Makefile for $(DENNOUDIR)/util/gt3-dcl5/src/gutool
#

include ../../Mkinclude

FFLAGS 	      = $(STDFFLAGS) -I$(INCDIR)

CFLAGS        = $(STDCFLAGS) -I$(INCDIR)

CPPFLAGS      = $(STDCPPFLAGS) -I$(INCDIR)

EXTHDRS	      = $(INCDIR)/gziwrk.F \
		$(INCDIR)/gzsize.F

HDRS	      =

MAKEFILE      = Makefile

OBJS	      = guaxck.o \
		gucacf.o \
		gucsiz.o \
		guct2r.o \
		guctxt.o \
		gueaxn.o \
		gulchr.o \
		gunenv.o \
		guqaxd.o \
		guqaxs.o \
		guqaxv.o \
		guqiax.o \
		guqnow.o \
		guqsiz.o \
		guqtim.o \
		gurntp.o \
		gusmis.o \
		gusnow.o \
		guszck.o \
		gutpac.o \
		guvint.o

SRCS	      = guaxck.F \
		gucacf.F \
		gucsiz.F \
		guct2r.F \
		guctxt.F \
		gueaxn.F \
		gulchr.F \
		gunenv.F \
		guqaxd.F \
		guqaxs.F \
		guqaxv.F \
		guqiax.F \
		guqnow.F \
		guqsiz.F \
		guqtim.F \
		gurntp.F \
		gusmis.F \
		gusnow.F \
		guszck.F \
		gutpac.F \
		guvint.F

all: 		$(LIBRARY)

$(LIBRARY):	$(OBJS)
		$(AR) $(LIBRARY) $(OBJS)
		$(RANLIB) $(LIBRARY)

clean:
		rm -f *.o *~ core *.trace *.f

index:
		@$(INDEX) $(HDRS) $(SRCS)

print:		$(PRINTSTAMP)

$(PRINTSTAMP): $(HDRS) $(SRCS)
		$(PRINT) $?
		$(TOUCH) $(PRINTSTAMP)

tags:
		@$(TAGS) $(HDRS) $(SRCS)

pack:	$(PACKFILE) packs

packs: $(SRCS:.F=.pac)
	$(MD) $(PACKDIR)
	$(MV) $(PACKFILE) $(PACKDIR)/gutool

$(PACKFILE):
	$(RM) $(PACKFILE)
	$(TOUCH) $(PACKFILE)

###
guaxck.o: $(INCDIR)/gzsize.F
gucacf.o: $(INCDIR)/gzsize.F
gueaxn.o: $(INCDIR)/gzsize.F $(INCDIR)/gziwrk.F
guqaxd.o: $(INCDIR)/gzsize.F
guqaxs.o: $(INCDIR)/gzsize.F
guqaxv.o: $(INCDIR)/gzsize.F $(INCDIR)/gziwrk.F
guqiax.o: $(INCDIR)/gzsize.F $(INCDIR)/gziwrk.F
guqnow.o: $(INCDIR)/gzsize.F
gurntp.o: $(INCDIR)/gzsize.F
gusnow.o: $(INCDIR)/gzsize.F
